Reply To: Problem with install/script

Home Forums AR Sandbox Forum Problem with install/script Reply To: Problem with install/script

#102358
philip1000rr
Participant

I had the exact same issue. After downloading this build file:

http://idav.ucdavis.edu/~okreylos/ResDev/Vrui/Build-Ubuntu.sh

I would run it and get this feedback:

$ sudo bash Build-Ubuntu.sh
Reading package lists… Done
Building dependency tree
Reading state information… Done
Note, selecting ‘libpng12-dev’ instead of ‘libpng-dev’
Note, selecting ‘libtiff5-dev’ instead of ‘libtiff-dev’
E: Unable to locate package libXi-dev
E: Unable to locate package libXrandr-dev

Problem while downloading prerequisite packages; please fix the issue and try again

I checked the build file and found a capitalization error on this line:

PREREQUISITE_PACKAGES=”build-essential g++ libudev-dev libdbus-1-dev libusb-1.0-0-dev zlib1g-dev libpng-dev libjpeg-dev libtiff-dev libasound2-dev libspeex-dev libopenal-dev libv4l-dev libdc1394-22-dev libtheora-dev libbluetooth-dev libXi-dev libXrandr-dev mesa-common-dev libgl1-mesa-dev libglu1-mesa-dev”

The letter ‘x’ in those two package names should be lowercase.

I used vi to change the two package names to all lowercase:

PREREQUISITE_PACKAGES=”build-essential g++ libudev-dev libdbus-1-dev libusb-1.0-0-dev zlib1g-dev libpng-dev libjpeg-dev libtiff-dev libasound2-dev libspeex-dev libopenal-dev libv4l-dev libdc1394-22-dev libtheora-dev libbluetooth-dev libxi-dev libxrandr-dev mesa-common-dev libgl1-mesa-dev libglu1-mesa-dev”

After correcting the capitalization error and making the two file names all lowercase, the build file worked without issue.

Comments are closed.